# Vehicle RC Lite

The Vehicle RC Lite API is a simplified tool designed to provide essential information from vehicle registration certificates (RC) in a lightweight format. This API provides essential vehicle information extracted from registration certificates, including vehicle owner name, registration number, vehicle make and model, fit upto year, and fuel type.

### rc\_number

`POST` `https://secctrl.tutelar.io/api/v1/kyc/utility/ind_rc_lite`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description                     |
| -------------- | ------ | ------------ | ------------------------------- |
| rc\_number     | String | Yes          | Registration Certificate Number |

#### Sample Post Parameters

```json
{
    "rc_number": "TN03AE5103"
}
```

200: Success Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "00377f82-8ba0-4e05-ba56-750ea2853f8d",
    "result": {
        "document_status": "SUCCESS",
        "registration_number": "TN03AE5103",
        "registration_date": "2021-07-30",
        "owner_name": "GOWTHAM R",
        "maker": "",
        "maker_model": "PULSAR 150 DTS-I",
        "fuel_type": "PETROL",
        "fit_upto": "2036-07-29",
        "registered_at": "RANIPET RTO, Tamil Nadu",
        "class": "M-Cycle/Scooter",
        "vehicle_category": "2WN",
        "insurance_company": "MAGMA HDI GENERAL INSURANCE CO. LTD",
        "insurance_policy_number": null,
        "insurance_validity": "2026-07-26",
        "tax_upto": "LTT",
        "permit_type": null,
        "permit_valid_upto": null,
        "permit_number": null,
        "status": "ACTIVE"
    },
    "requested_at": "2023-11-14T08:53:04.074Z",
    "completed_at": "2023-11-24T12:05:22.671Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid rc number",
        "field": "rc_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "76d049e8-e9eb-4095-8926-74235763cf8a",
    "status": "failed",
    "error": {
        "message": "Verification Failed.",
        "code": "ERROR"
    },
    "requested_at": "2024-03-18T05:12:26.884Z",
    "completed_at": "2024-03-18T05:12:27.305Z"
}
```

### Get details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

`GET` `https://secctrl.tutelar.io/api/v1/kyc/utility/ind_rc_lite`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "00377f82-8ba0-4e05-ba56-750ea2853f8d",
    "result": {
        "document_status": "SUCCESS",
        "registration_number": "TN03AE5103",
        "registration_date": "2021-07-30",
        "owner_name": "GOWTHAM R",
        "maker": "",
        "maker_model": "PULSAR 150 DTS-I",
        "fuel_type": "PETROL",
        "fit_upto": "2036-07-29",
        "registered_at": "RANIPET RTO, Tamil Nadu",
        "class": "M-Cycle/Scooter",
        "vehicle_category": "2WN",
        "insurance_company": "MAGMA HDI GENERAL INSURANCE CO. LTD",
        "insurance_policy_number": null,
        "insurance_validity": "2026-07-26",
        "tax_upto": "LTT",
        "permit_type": null,
        "permit_valid_upto": null,
        "permit_number": null,
        "status": "ACTIVE"
    },
    "requested_at": "2023-11-14T08:53:04.074Z",
    "completed_at": "2023-11-24T12:05:22.671Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "00377f82-8ba0-4e05-ba56-750ea2853f8d",
    "status": "in_progress",
    "requested_at": "2024-04-22T05:28:49.245Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "00377f82-8ba0-4e05-ba56-750ea2853f8d",
    "status": "failed",
    "error": {
        "message": "Verification Failed.",
        "code": "ERROR"
    },
    "requested_at": "2024-03-18T05:12:26.884Z",
    "completed_at": "2024-03-18T05:12:27.305Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/vehicle-rc-lite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
